* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.container {
    display: grid;
    place-items: center;
    min-height: 100vh;
    background-image: linear-gradient(45deg, rgb(74, 74, 74), white);
}

.main-body {
    background-color: green;
    outline: 1px solid black;
    width: 370px;
    height: 730px;
    scale: 0.8;
    box-shadow: 0px 0px 30px rgb(25, 25, 25);
    border-radius: 10px;
    overflow: hidden;
}

.display {
    background-color: #000000;
    width: 100%;
    height: 200px;
}

.display .div2 {
    width: 100%;
    height: 60px;
}

.display > p {
    width: 100%;
    background-color: #000000;
    height: 40px;
}

.view {
    width: 100%;
    background-color: #000000;
    height: 100px;
    display: flex;
    align-items: flex-end;
}

.view > input {
    width: 100%;
    height: 130px;
    background-color: #000000;
    color: white;
    font-size: 2rem;
    padding: 1.5rem;
    margin: 10px;

    /* temporary */
    border: 1px solid rgba(124, 124, 124, 0.478);
}

.keys {
    background-color: #000000;
    width: 100%;
    height: calc(100% - 200px);
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: center;
    padding: 1rem 0.5rem 1rem;
}

input {
    font-size: 30px;
    color: #fefefe;
    font-weight: bold;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

.key {
    background-color: #333333;
    width: 71px;
    height: 71px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    border: none;
}

.key2 {
    background-color: #333333;
    border-radius: 100vw;
    width: 155px;
    height: 71px;
}

.one {
    background-color: #a5a5a5;
    color: #000000;
}

.orange {
    background-color: #ff9f0c;
}

.zero {
    float: right;
}